<!DOCTYPE html>
<html>
<head>
    <title>Encapsulation Example</title>
</head>
<body>

<h1>Person Information</h1>

<?php
class Person {
    // Private properties
    private $name;
    private $age;

    // Constructor
    public function __construct($name, $age) {
        $this->name = $name;
        $this->age = $age;
    }

    // Getter method for name
    public function getName() {
        return $this->name;
    }

    // Setter method for name
    public function setName($name) {
        $this->name = $name;
    }

    // Getter method for age
    public function getAge() {
        return $this->age;
    }

    // Setter method for age
    public function setAge($age) {
        if ($age >= 0) {
            $this->age = $age;
        }
    }

    // Method to display information
    public function displayInfo() {
        echo "Name: " . $this->getName() . "<br>";
        echo "Age: " . $this->getAge() . "<br>";
    }
}

// Create a Person object
$person = new Person("Juan Dela Cruz", 25);

// Access properties using getter methods
echo "Name: " . $person->getName() . "<br>";
echo "Age: " . $person->getAge() . "<br>";

// Use setter methods to update properties
$person->setName("Pedro Masipag");
$person->setAge(30);

// Display updated information
$person->displayInfo();
?>

</body>
</html>
